//Living.java - the superclass for all life forms
abstract class Living {

  abstract Count getCount();
  abstract Living next(World world);
  abstract char toChar(); // character for this form
  void computeNeighbors(World world) { 
    world.clearNeighborCounts();
    world.cells[row][column].getCount().set(-1);
    for (int i = -1; i <= 1; i++)
      for (int j = -1; j <= 1; j++)
        world.cells[row+i][column+j].getCount().inc();
  }
  int row, column; //location
}
